%global pypi_name curses_ex

Name:           python3-%{pypi_name}
Version:        0.3
Release:        2%{?dist}
Summary:        Provide additional curses functions

Group:          Development/Libraries
License:        MIT
URL:            https://pypi.python.org/pypi/curses_ex
Source0:        https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         curses_ex.license.patch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  ncurses-devel
Requires:       ncurses

%description
Python3 extension module to provides some functions 
not supported by standard curses package.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
%patch1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files 
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%changelog
* Fri Nov 06 2015 William Moreno <williamjmorenor at gmail.com> - 0.3-2
- From review: Remove gcc build requires
- From review: Fix License tag

* Tue Aug 04 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.3-1
-Initial Packaging
